=== requirements.txt ===
ruamel.yaml >= 0.14.12, < 0.17.18
schema-salad
