=== debian/changelog ===
cwl-upgrader (1.2.2-1) unstable; urgency=low

  * initial packaging release;
    closes: bug#1003961

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Jan 2022 18:17:44 +0100
