=== debian/control ===
Source: cwl-upgrader
Section: science
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-pytest (>= 5.4) <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-ruamel.yaml,
 python3-schema-salad,
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://github.com/common-workflow-language/cwl-upgrader
Vcs-Git: https://salsa.debian.org/debian/cwl-upgrader.git
Vcs-Browser: https://salsa.debian.org/debian/cwl-upgrader
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: cwl-upgrader
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 cwltool,
Description: Common Workflow Language standalone document upgrader
 cwl-upgrader is a standalone upgrader
 for Common Workflow Language documents
 from draft-3, v1.0, and v1.1 to v1.2.
 .
 It does not check for correctness of the input document,
 for that one can use the CWL reference implementation
 available for Debian in package cwltool.
 .
 The Common Workflow Language (CWL) is a standard
 for describing computational data-analysis workflows,
 aiming to allow the creation of a workflow
 that is portable and thus may be run reproducibly
 in different computational environments.
