=== debian/changelog ===
cwl-upgrader (1.2.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Jul 2022 10:59:58 +0200

cwl-upgrader (1.2.2-2) unstable; urgency=medium

  * add autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Feb 2022 14:54:10 +0100
