=== debian/changelog ===
cwl-upgrader (1.2.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Sep 2022 14:33:21 +0200
