=== debian/changelog ===
cwl-upgrader (1.2.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jun 2023 15:40:47 +0200
