=== requirements.txt ===
ruamel.yaml >= 0.16.0, < 0.18;python_version>='3.10'
ruamel.yaml >= 0.15.98, < 0.18;python_version>='3.9'
ruamel.yaml >= 0.15.78, < 0.18;python_version>='3.8'
ruamel.yaml >= 0.15.71, < 0.18
schema-salad
