=== debian/changelog ===
cwl-upgrader (1.2.9-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Oct 2023 21:18:24 +0200
