=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-ruamel.yaml,
  python3-schema-salad,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/common-workflow-language/cwl-upgrader
 Vcs-Git: https://salsa.debian.org/debian/cwl-upgrader.git
 Vcs-Browser: https://salsa.debian.org/debian/cwl-upgrader
