=== debian/changelog ===
cwl-upgrader (1.2.11-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * build-depend on pybuild-plugin-pyproject
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jan 2024 19:59:14 +0100
