=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_BEFORE_TEST = cp -r {dir}/testdata {build_dir}
export PYBUILD_AFTER_TEST = rm -rf {build_dir}/testdata

%:
	dh $@ --buildsystem=pybuild
