## cwl-upgrader 1.2.12

=== Makefile ===
--- 
+++ 
@@ -165,7 +165,7 @@
 	shellcheck conformance-test.sh release-test.sh
 
 pyupgrade: $(PYSOURCES)
-	pyupgrade --exit-zero-even-if-changed --py38-plus $^
+	pyupgrade --exit-zero-even-if-changed --py39-plus $^
 	auto-walrus $^
 
 release-test: FORCE
