=== debian/changelog ===
cwl-upgrader (1.2.12-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Dec 2024 01:36:15 +0100
