=== debian/tests/control ===
Test-Command:
 pytest-3
Depends:
 cwl-upgrader,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-pytest-xdist,
