=== debian/changelog ===
cwl-upgrader (1.2.14-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * add metadata about upstream project
  * drop watch file: use upstream metadata instead
  * drop patch cherry-picked upstream, obsoleted by upstream changes
  * tighten build-dependency on python3-pytest
  * stop superfluously set fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3
  * build-depend on python3-wheel
  * update git-buildpackage config: improve usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Jan 2026 18:05:36 +0100

cwl-upgrader (1.2.12-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to stop using the deprecated pkg_resources;
    closes: bug#1083350, thanks to Matthias Klose

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 20:34:09 +0100
