=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: cwl-upgrader
 Section: science
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3,
- python3-pytest (>= 5.4) <!nocheck>,
+ python3-pytest (<< 10) <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-runner <!nocheck>,
  python3-pytest-xdist <!nocheck>,
  python3-ruamel.yaml,
  python3-schema-salad,
  python3-setuptools,
-Standards-Version: 4.6.2
+ python3-wheel,
+Standards-Version: 4.7.3
 Homepage: https://github.com/common-workflow-language/cwl-upgrader
 Vcs-Git: https://salsa.debian.org/debian/cwl-upgrader.git
 Vcs-Browser: https://salsa.debian.org/debian/cwl-upgrader
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: cwl-upgrader
